Bug 5159 - HomeOrHoldingBranch syspref description misleading
Summary: HomeOrHoldingBranch syspref description misleading
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Target Milestone: ---
Assignee: Kyle M Hall
QA Contact: Bugs List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-08-19 17:02 UTC by Jane Wagner
Modified: 2019-05-04 13:00 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jane Wagner 2010-08-19 17:02:04 UTC
The old syspref description for HomeOrHoldingBranch implies it's only used with Independent Branches on:

"Used by Circulation to determine which branch of an item to check with independent branches on, and by search to determine which branch to choose for availability."

However, it seems to also affect transfers in systems where Independent Branches is not on (if set to holding branch, a checkin doesn't trigger a transfer message back to the owning branch).  And it's also used by C4/Search.pm to control the branch description that shows in search results/record displays.

The 3.2 syspref description is: Use the checkout and fines rules of (equiv description of home or holding branch)
NOTE: This is older than CircControl, but used by some parts of Koha. It will be removed soon. 

First question, then, is whether there are plans to remove this syspref, as implied by the 3.2 description?  And if so, what's going to happen to the other areas that it's now controlling?

This came up in a discussion on the IRC about Bug 3262 -- the section of Search.pm that controls what library branch displays is in turn controlled by this syspref.
Comment 1 Owen Leonard 2011-10-25 16:38:58 UTC
Is this bug still valid? The current wording:

"Use the checkout and fines rules of [ the library the item was checked out from | the library the item is from ]"
Comment 2 Marc Véron 2015-12-20 17:13:23 UTC
Still valid?
Comment 3 Katrin Fischer 2019-05-04 13:00:25 UTC
(In reply to Owen Leonard from comment #1)
> Is this bug still valid? The current wording:
> 
> "Use the checkout and fines rules of [ the library the item was checked out
> from | the library the item is from ]"

The description is different now than at the time the bug was filed. Marking RESOLVED FIXED.